PROBE::IOBLOCK.END(3stap)

NAME
probe::ioblock.end - Fires whenever a block I/O transfer is complete.

SYNOPSIS

ioblock.end

VALUES

ino
    i-node number of the mapped file

error
    0 on success

devname
    block device name

size
    total size in bytes

bytes_done
    number of bytes transferred

hw_segments
    number of segments after physical and DMA remapping hardware coalescing is performed

phys_segments
    number of segments in this bio after physical address coalescing is performed.

name
    name of the probe point

vcnt
    bio vector count which represents number of array element (page, offset, length) which makes up this I/O request

opf
    operations and flags

idx
    offset into the bio vector array

rw
    binary trace for read/write request

sector
    beginning sector for the entire bio

flags
    see below BIO_UPTODATE 0 ok after I/O completion BIO_RW_BLOCK 1 RW_AHEAD set, and read/write would block BIO_EOF 2 out-out-bounds error BIO_SEG_VALID 3 nr_hw_seg valid BIO_CLONED 4 doesn't own data BIO_BOUNCED 5 bio is a bounce bio BIO_USER_MAPPED 6 contains user pages BIO_EOPNOTSUPP 7 not supported

CONTEXT

The process signals the transfer is done.

SEE ALSO
tapset::ioblock(3stap)